Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706316 - app-shells/tcsh-6.21.00 : fails to build with -fno-common or gcc-10
Summary: app-shells/tcsh-6.21.00 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Fabian Groffen
URL: https://github.com/tcsh-org/tcsh/comm...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-25 15:48 UTC by Toralf Förster
Modified: 2020-01-26 08:45 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.88 KB, text/plain)
2020-01-25 15:48 UTC, Toralf Förster
Details
app-shells:tcsh-6.21.00:20200125-105530.log (app-shells:tcsh-6.21.00:20200125-105530.log,44.03 KB, text/plain)
2020-01-25 15:48 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,16.43 KB, text/plain)
2020-01-25 15:49 UTC, Toralf Förster
Details
environment (environment,103.11 KB, text/plain)
2020-01-25 15:49 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.50 KB, application/x-bzip)
2020-01-25 15:50 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,8.92 KB, application/x-bzip)
2020-01-25 15:51 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,28.25 KB, application/x-bzip)
2020-01-25 15:52 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-25 15:48:18 UTC
  185 | # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
      |   ^~~~~~~
rm -f tcsh core
x86_64-pc-linux-gnu-gcc -o tcsh -Wl,-O1 -Wl,--as-needed -O2 -pipe -march=native -fno-common -I. -I. sh.o sh.dir.o sh.dol.o sh.err.o sh.exec.o sh.char.o sh.exp.o sh.file.o sh.func.o sh.glob.o sh.hist.o sh.init.o sh.lex.o sh.misc.o sh.parse.o sh.print.o sh.proc.o sh.sem.o sh.set.o sh.time.o glob.o dotlock.o mi.termios.o ma.setp.o vms.termcap.o tw.help.o tw.init.o tw.parse.o tw.spell.o tw.comp.o tw.color.o ed.chared.o ed.refresh.o ed.screen.o ed.init.o ed.inputl.o ed.defns.o ed.xmap.o ed.term.o tc.alloc.o tc.bind.o tc.const.o tc.defs.o tc.disc.o tc.func.o tc.nls.o tc.os.o tc.printf.o tc.prompt.o tc.sched.o tc.sig.o tc.str.o tc.vers.o tc.who.o  -ltinfo -lcrypt   
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: tc.sig.o:(.bss+0x0): multiple definition of `handle_interrupt'; sh.o:(.bss+0x11758): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 25 Jan 2020 09:06:10 +0000

emerge -qpvO app-shells/tcsh
[ebuild  N    ] app-shells/tcsh-6.21.00  USE="nls -doc"
Comment 1 Toralf Förster gentoo-dev 2020-01-25 15:48:28 UTC
Created attachment 604282 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-25 15:48:49 UTC
Created attachment 604284 [details]
app-shells:tcsh-6.21.00:20200125-105530.log
Comment 3 Toralf Förster gentoo-dev 2020-01-25 15:49:28 UTC
Created attachment 604286 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-25 15:49:55 UTC
Created attachment 604290 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-25 15:50:44 UTC
Created attachment 604292 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-25 15:51:32 UTC
Created attachment 604294 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-25 15:52:20 UTC
Created attachment 604296 [details]
temp.tbz2
Comment 8 Sergei Trofimovich gentoo-dev 2020-01-25 18:59:22 UTC
Seems to be fixed upstream in https://github.com/tcsh-org/tcsh/commit/6974bc35a5cda6eab748e364bd76a860ca66968b
Comment 9 Fabian Groffen gentoo-dev 2020-01-26 08:30:41 UTC
hey, thanks, I was just about to do some searching!
Comment 10 Larry the Git Cow gentoo-dev 2020-01-26 08:45:23 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de0c24161e6a2e4bdf83040268064b0b65df28c4

commit de0c24161e6a2e4bdf83040268064b0b65df28c4
Author:     Fabian Groffen <grobian@gentoo.org>
AuthorDate: 2020-01-26 08:45:00 +0000
Commit:     Fabian Groffen <grobian@gentoo.org>
CommitDate: 2020-01-26 08:45:18 +0000

    app-shells/tcsh-6.21.00-r1: fix compilation with GCC 10/-fno-common
    
    Closes: https://bugs.gentoo.org/706316
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Fabian Groffen <grobian@gentoo.org>

 .../tcsh/files/tcsh-6.21.00-fno-common.patch       | 22 ++++++++++++++++++++++
 ...{tcsh-6.21.00.ebuild => tcsh-6.21.00-r1.ebuild} |  3 ++-
 2 files changed, 24 insertions(+), 1 deletion(-)